SND_AC97_WRITE(9)

NAME
snd_ac97_write - write a value on the given register

SYNOPSIS

void snd_ac97_write(struct snd_ac97 * ac97, unsigned short reg, unsigned short value);

ARGUMENTS

ac97
    the ac97 instance

reg
    the register to change

value
    the value to set

DESCRIPTION

Writes a value on the given register. This will invoke the write callback directly after the register check. This function doesn't change the register cache unlike #snd_ca97_write_cache, so use this only when you don't want to reflect the change to the suspend/resume state.

COPYRIGHT